Get all buildings with their floors.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"buildings": [
{
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
}
]
}Analytics - Static Data
Get all buildings with their floors.
This request will return static information on all buildings including their floors.
This endpoint is available to all SubscriptionPlans.
GET
/
public
/
api
/
analytics
/
v1
/
building
Get all buildings with their floors.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"buildings": [
{
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
}
]
}
